OTBCLI_RIGIDTRANSFORMRESAMPLE(1)

NAME
otbcli_RigidTransformResample - OTB RigidTransformResample application

DESCRIPTION
This is the RigidTransformResample application, version 5.2.0 Resample an image with a rigid transform

Complete documentation: http://www.orfeo-toolbox.org/Applications/RigidTransformResample.html

  Parameters:

-progress
    <boolean> Report progress

 -in <string> Input image (mandatory)
 -out <string> [pixel] Output image [pixel=uint8/uint16/int16/uint32/int32/float/double] (default value is float) (mandatory)

-transform.type
    <string> Type of transformation [id/translation/rotation] (mandatory, default value is id)

-transform.type.id.scalex
    <float> X scaling (mandatory, default value is 1)

-transform.type.id.scaley
    <float> Y scaling (mandatory, default value is 1)

-transform.type.translation.tx
    <float> The X translation (in physical units) (mandatory, default value is 0)

-transform.type.translation.ty
    <float> The Y translation (in physical units) (mandatory, default value is 0)

-transform.type.translation.scalex <float>
    X scaling (mandatory, default value is 1)

-transform.type.translation.scaley <float>
    Y scaling (mandatory, default value is 1)

-transform.type.rotation.angle
    <float> Rotation angle (mandatory, default value is 0)

-transform.type.rotation.scalex
    <float> X scaling (mandatory, default value is 1)

-transform.type.rotation.scaley
    <float> Y scaling (mandatory, default value is 1)

-interpolator
    <string> Interpolation [nn/linear/bco] (mandatory, default value is bco)

-interpolator.bco.radius
    <int32> Radius for bicubic interpolation (mandatory, default value is 2)

-ram
    <int32> Available RAM (Mb) (optional, off by default, default value is 128)

-inxml
    <string> Load otb application from xml file (optional, off by default)

EXAMPLES
otbcli_RigidTransformResample -in qb_toulouse_sub.tif -out rigitTransformImage.tif -transform.type rotation -transform.type.rotation.angle 20 -transform.type.rotation.scalex 2. -transform.type.rotation.scaley 2.

SEE ALSO
The full documentation for otbcli_RigidTransformResample is maintained as a Texinfo manual. If the info and otbcli_RigidTransformResample programs are properly installed at your site, the command

    info otbcli_RigidTransformResample

should give you access to the complete manual.